/* Universal styles */
* {
    box-sizing: border-box;
}

/* Global styles for the document */
body {
    background-color: #90C7E3; /* Changed background color */
    color: #666666;
    font-family: Verdana, Arial, sans-serif;
    margin: 0;
}

/* Styles for the header element */
header {
    background-color: #002171;
    color: #FFFFFF;
    font-family: Georgia, serif;
    padding: 1em;/* Changed height */
}

/* Styles for the h1 element */
h1 {
    text-align: center;
    font-size: 2em; /* Added font size */
    color: #FFFFFF; /* Set H1 text color to white */
}

/* Remove underline from header link */
header a {
    text-decoration: none; /* Remove underline */
    color: #FFFFFF; /* Ensure link color is white */
}

/* Styles for the nav element */
nav {
    font-size: 1.2em; /* Set font size */
    background-color: inherit; /* Inherit background from wrapper */
    text-align-last: center;
}

/* Remove underline from hyperlinks in nav */
nav a {
    text-decoration: none;
}

/* Styles for nav link states */
nav a:link {
    color: #5C7FA3; /* Unvisited hyperlinks */
}

nav a:visited {
    color: #344873; /* Visited hyperlinks */
}

nav a:hover {
    color: #A52A2A; /* Hover state */
}

/* Styles for the unordered lists in nav */
nav ul {
    list-style-type: none; /* No list markers */
    padding-left: 0; /* Set left padding */
    flex-direction: column;
    margin:0;
}
nav li{
    padding-top: .5em;
    padding-bottom: .5em;
    padding-left: 1em;
    padding-right: 1em;
    width: 100%;
    border-bottom-width: 1px;
}
/* Styles for the h2 element */
h2 {
    color: #1976D2;
    font-family: Georgia, serif;
}

/* Styles for the h3 element */
h3 {
    font-family: Georgia, serif;
}

/* Styles for the dt element */
dt {
    color: #002171;
    font-weight: bold;
}

/* Styles for a class named resort */
.resort {
    color: #1976D2;
    font-size: 1.2em;
}

/* Styles for the footer element */
footer {
    font-size: 0.70em;
    font-style: italic;
    text-align: center;
    padding: 1em;
    background-color: #FFFFFF; /* Added background color */
}

/* Style rule for the wrapper ID */
#wrapper {
    background-color: #FFFFFF; /* Changed background color */
}

/* Styles for the main element */
main {
    padding-left: 1em;
    padding-right: 1em;
    display: block; /* For IE compatibility */
}
#mobile{
    display: inline;
}
#desktop{
    display:none;
}
/* Styles for the hero image areas */
#homehero,
#yurthero,
#trailhero {
    height: 300px;
    background-size: 200% 100%;
    background-repeat: no-repeat;
}

#homehero {
    background-image: url('coast.jpg');
}

#yurthero {
    background-image: url('yurt.jpg');
}

#trailhero {
    background-image: url('trail.jpg');
}

/* Styles for the section element */
section {
    padding-left: .5; /* Left padding */
    padding-right: .5; /* Right padding */
}

/*medium style 600px or greater.*/
@media (min-width: 600px){
    h1{
        font-size: 2em;
        letter-spacing: .25em;
    }
    nav ul{
        flex-direction: row;
        flex-wrap: nowrap;
        justify-content: space-around;
        padding-right: 2em;
    }
    nav li{
        width: 12em;
        border-bottom: none;
    }
    section{
        padding-left: 2em;
        padding-right: 2em;
    }
    flow{
        flex-direction: row;
    }
    #mobile{
        display:none;
    }
    #desktop{
        display:inline;
    }
    #homehero,
    #yurthero,
    #trailhero{
        background-size: 100% 100%;
    }
/*large scale 1024px*/
    @media (min-width: 1024px){
        body{
            background-image: linear-gradient(to bottom, #FFFFFF 20%, 90C7E3, 60%,#FFFFFF 100%)
        }
        nav ul{
            padding-left: 10%;
            padding-right: 10%;
        }
        #wrapper{
            margin:auto;
            width: 80%;
        }
